Remove the hack to use a patched Cabal submodule in CI (#650)